- name: Copy sql folder with 755 permission
  ansible.builtin.copy:
    src: "{{main_class}}/sql"
    dest: "{{dest_BE}}"
    owner: www-data
    group: www-data
    mode: "755"

- name: Create user if it doesn't exists
  community.postgresql.postgresql_user:
    login_host: 10.119.106.132
    login_user: deployer
    login_password: rseamanah
    db: "deployer"
    name: "{{user_name}}"
    password: "{{password}}"

- name: Create database if it doesn't exists
  community.postgresql.postgresql_db:
    login_host: 10.119.106.132
    login_user: deployer
    login_password: rseamanah
    maintenance_db: deployer
    name: "{{db_name}}"
    owner: deployer
    state: present

- name: REVOKE ALL ON DATABASE {{db_name}} FROM public
  community.postgresql.postgresql_privs:
    login_host: 10.119.106.132
    login_user: special
    login_password: rseamanah
    db: "{{db_name}}"
    privs: ALL
    type: database
    role: PUBLIC
    state: absent
    grant_option: no

- name: GRANT ALL PRIVILEGES ON DATABASE {{db_name}} TO {{user_name}}
  community.postgresql.postgresql_privs:
    login_host: 10.119.106.132
    login_user: deployer
    login_password: rseamanah 
    db: "{{db_name}}"
    privs: ALL
    type: database
    role: "{{user_name}}"
    state: present
    grant_option: yes

- name: Find sql files
  ansible.builtin.find:
    paths: "{{ dest_BE }}/sql"
    patterns: "*.sql"
    file_type: file
  register: sql_file
  changed_when: False

- name: seeding data
  community.postgresql.postgresql_db:
    login_host: 10.119.106.132
    login_user: "{{user_name}}"
    login_password: "{{password}}"
    name: "{{db_name}}"
    state: restore
    target: "{{ item.path }}"
  loop: "{{ sql_file.files}}"
